@import '../mixins/';

.carousel-root {
  max-width: 440px;
  background-color: color('grays', 'light');
  box-shadow: 2px 2px 5px black;
  margin-top: 1rem;

  .carousel-slider {
    .control-dots {
      .dot {
        background-color: color('secondary', 'default')
      }
    }

    .control-next:before {
      border-left: 8px solid color('blacks', 'default') !important;
    }

    .control-prev:before {
      border-right: 8px solid color('blacks', 'default') !important;
    }

    .carousel-status {
      display: none;
    }
  }

  .carousel {
    color: color('blacks', 'default');

    .slide {

      img.background-img {
        object-fit: cover;
        height: 13rem;
        border-bottom: 4px solid color('secondary', 'default');
      }

      img.central-img {
        position: absolute;
        object-fit: cover;
        height: 10rem;
        width: 10rem;
        left: calc(50% - 5rem);
        top: 8rem;
        border-radius: 50%;
        border: 4px solid color('secondary', 'default');
      }

      h3 {
        margin-top: 6rem;
      }

      p {
        text-align: left;
        background-color: color('grays', 'light');
        margin: 0rem;
        padding: 0rem 2rem 2rem 2rem;
      }
    }
  }
}

.section-about {
  width: 100%;
  max-width: 1280px;
  margin: auto;
  color: color('grays', 'default');
  text-align: center;

  .section-about-hobbies-wrapper {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1rem;

    @media only screen and (max-width: 768px) {
      grid-template-columns: repeat(1, 1fr);
    }

    .section-about-carousel-wrapper {
      display: flex;
      width: 100%;
      flex-direction: column;
      justify-content: center;
      align-items: center;
    }
  }

  .section-about-info-wrapper {
    width: 100%;
  }

  .section-about-text-wrapper {
    width: 100%;
    max-width: 30rem;
    margin: auto;

    p {
      text-align: left;
    }

    hr {
      width: 100%;
      border-color: color('secondary', 'default');
    }
  }

  .section-about-footer-wrapper {
    margin-top: 2rem;
    display: flex;
    justify-content: center;

    a {
      padding: 1rem;

      img {
        height: 2.5rem;

        &:hover {
          transform: scale(1.3);
          transition: all 300ms;
        }
      }
    }

    .icon-divider {
      width: 1px;
      margin: 1rem;
      border: 1px solid color('grays', '300');
    }
  }
}

@media only screen and (max-width: 560px) {
  .carousel-root {
    width: 350px;
  }
}

@media only screen and (max-width: 400px) {
  .carousel-root {
    width: 300px;
  }
}